<?php

namespace Drupal\Tests\vmware\Traits;

use Drupal\cloud\Entity\CloudContentEntityBase;
use Drupal\Tests\cloud\Traits\CloudTestEntityTrait;
use Drupal\vmware\Entity\VmwareVm;

/**
 * The trait creating test entity for vmware testing.
 */
trait VmwareTestEntityTrait {

  use CloudTestEntityTrait;

  /**
   * Create a Terraform VM test entity.
   *
   * @param array $vm
   *   The VM data.
   *
   * @return \Drupal\cloud\Entity\CloudContentEntityBase
   *   The role binding entity.
   */
  protected function createVmTestEntity(array $vm): CloudContentEntityBase {
    return $this->createTestEntity(VmwareVm::class, $vm);
  }

}
