<?php

namespace Drupal\Tests\vmware\Traits;

use Drupal\Component\Utility\Random;

/**
 * The trait creating mock data for vmware testing.
 */
trait VmwareTestMockTrait {

  /**
   * Update createVm in mock data.
   *
   * @param array $vm
   *   The VM mock data.
   */
  protected function addVmMockData(array $vm): void {
    $mock_data = $this->getMockDataFromConfig();
    $random = new Random();
    $vm_id = 'vm-' . rand(1, 100);
    $create_vm = [
      'value' => $vm_id,
    ];

    $mock_data['createVm'] = $create_vm;
    $mock_data['describeVms'] = [
      'value' => [
        [
          'vm' => $vm_id,
          'name' => $vm['name'],
          'power_state' => 'POWER_OFF',
          'cpu_count' => 1,
          'memory_size_MiB' => 1024,
        ],
      ],
    ];

    $this->updateMockDataToConfig($mock_data);
  }

  /**
   * Update deleteVm in mock data.
   *
   * @param array $vm
   *   The VM mock data.
   */
  protected function deleteVmMockData(array $vm): void {
    $mock_data = $this->getMockDataFromConfig();

    $delete_vm = [];
    $mock_data['deleteVm'] = $delete_vm;
    $this->updateMockDataToConfig($mock_data);
  }

}
